//BTN CORE
.btn {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 0 0 auto;
    line-height: 1;
    letter-spacing: 0;
    text-align: center;
    vertical-align: middle;
    touch-action: manipulation;
    cursor: pointer;
    user-select: none;
    text-decoration: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    border: 0;
    box-sizing: border-box;
    transition: opacity @duration @easing, box-shadow @duration @easing;
    background: none;
    //&:before,
    //&:after {
    //    content: '';
    //    display: block;
    //    position: absolute;
    //    top: 0;
    //    right: 0;
    //    bottom: 0;
    //    left: 0;
    //    pointer-events: none;
    //    box-sizing: border-box;
    //}
    //&:before {
    //    transition: opacity @duration @easing, filter @duration @easing, background-color @duration @easing, transform @duration @easing, box-shadow @duration @easing;
    //}
    //&:after {
    //    transition: opacity @duration @easing, border-color @duration @easing, transform @duration @easing;
    //
    //}
    &:hover,
    &:focus,
    &:active {
        outline: none;
    }
    &:not(:active):focus,
    &_focus {

    }
    &_disabled,
    &_disabled:hover,
    &_disabled:active,
    &_disabled:focus,
    &[disabled],
    &:disabled {
        opacity: 0.5;
        pointer-events: none;
        filter: grayscale(50%);
    }

    // ELEMENTS
    &__grid {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
    }
    &__mask {
        .webkitfix;
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        overflow: hidden;
    }
    &__bg {
        .webkitfix;
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        transition: opacity @duration @easing, transform @duration @easing, filter @duration @easing;
        .btn_hover &,
        .btn:hover & {
            transform: scale(1.2) translateZ(0);
            filter: brightness(125%) saturate(100%);
        }
        .btn_focus &,
        .btn:focus & {
            transform: scale(1.1) translateZ(0);
            filter: brightness(100%) saturate(125%);
        }
        .btn_active &,
        .btn:active & {
            transform: scale(1.1) translateZ(0);
            filter: brightness(75%) saturate(125%);
        }
    }
    &__title {
        transition: color @duration @easing;
        //font-size: 1em;
        //font-family: @font-primary;
    }
    &__text {
        //font-size: 1rem;
        //font-family: @font-secondary;
    }
    &__count {
        //background-color: @c-hl;
        //color: @c-title;
        //border-radius: 50%;
        //position: absolute;
        //z-index: 5;
        //top: 0;
        //right: 0;
        //font-size: 0.6rem;
        //min-width: 1rem;
        //height: 1rem;
        //.grid_h;
        //.grid_center;
        //transform: translate(50%, -50%);
    }
    &__notification {
        background-color: @c-primary;
        color: @c-title;
        border-radius: 50%;
        width: 0.5rem;
        height: 0.5rem;
        position: absolute;
        top: 0;
        right: 0;
        transform: translate(50%, -50%);
    }
    &_block {
        width: 100%;
    }
    &_inline {
        display: inline-flex;
    }
    &_noflex {
        display: block !important;
    }
    &_rounded {
        border-radius: @border-radius;
    }
    &_circle {
        border-radius: 50% !important;
        &:before,
        &:after {
            border-radius: 50% !important;
        }
    }
    &_circle,
    &_square {
        padding: 0 !important;
        height: @btn-height;
        width: @btn-height;
    }
}

.btn-group {
    display: flex;
    & when (@btn-border-radius > 0) {
        & .btn,
        & .btn:before,
        & .btn:after,
        & .btn .btn__mask {
            border-radius: 0;
        }
        & .btn:last-of-type,
        & .btn:last-of-type:before,
        & .btn:last-of-type:after,
        & .btn:last-of-type .btn__mask {
            border-radius: 0 @btn-border-radius @btn-border-radius 0;
        }
        & .btn:last-of-type,
        & .btn:last-of-type:before,
        & .btn:last-of-type:after,
        & .btn:last-of-type .btn__mask {
            border-radius: 0 @btn-border-radius @btn-border-radius 0;
        }
        & .btn:first-of-type,
        & .btn:first-of-type:before,
        & .btn:first-of-type:after,
        & .btn:first-of-type .btn__mask {
            border-radius: @btn-border-radius 0 0 @btn-border-radius;
        }
        & .btn:first-of-type:last-of-type,
        & .btn:first-of-type:last-of-type:before,
        & .btn:first-of-type:last-of-type:after,
        & .btn:first-of-type:last-of-type .btn__mask {
            border-radius: @btn-border-radius;
        }
    }

    & .btn:hover,
    & .btn_active {
        z-index: 5;
    }
}
